com.sun.jna.platform.win32

## Class Wincon.INPUT_RECORD

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Wincon.INPUT_RECORD

Enclosing interface:
  Wincon

    @Structure.FieldOrder(value={"EventType","Event"})
    public static class Wincon.INPUT_RECORD
    extends Structure

INPUT_RECORD structure

### Nested Class Summary

Nested Classes
`static class` `Wincon.INPUT_RECORD.Event`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`Wincon.INPUT_RECORD.Event` `Event`
`short` `EventType`
`static short` `KEY_EVENT`
`static short` `MOUSE_EVENT`
`static short` `WINDOW_BUFFER_SIZE_EVENT`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`INPUT_RECORD()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `read()` Reads the fields of the struct from native memory
`java.lang.String` `toString()` If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### KEY_EVENT

    public static final short KEY_EVENT

See Also:
  Constant Field Values

#### MOUSE_EVENT

    public static final short MOUSE_EVENT

See Also:
  Constant Field Values

#### WINDOW_BUFFER_SIZE_EVENT

    public static final short WINDOW_BUFFER_SIZE_EVENT

See Also:
  Constant Field Values

#### EventType

    public short EventType

#### Event

    public Wincon.INPUT_RECORD.Event Event

### Constructor Detail

#### INPUT_RECORD

    public INPUT_RECORD()

### Method Detail

#### read

    public void read()

Description copied from class: `Structure`
Reads the fields of the struct from native memory

Overrides:
  `read` in class `Structure`

#### toString

    public java.lang.String toString()

Description copied from class: `Structure`
If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

Overrides:
  `toString` in class `Structure`
Returns:
  String representation of this object.

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.